<?php

function sendMail($email, $subject, $content, $from = "contact")
{
	global $MAIL_DOMAIN, $URL_BASE, $YEAR;

	$content = preg_replace("#{URL_BASE}#", $URL_BASE, $content);
	$content = preg_replace("#{YEAR}#", $YEAR, $content);

	$headers = "From: " . $from . "@" . $MAIL_DOMAIN . "\r\n";
	$headers .= "Reply-To: contact@" . $MAIL_DOMAIN . "\r\n";
	$headers .= "Content-Type: text/html; charset=UTF-8\r\n";

	mail($email, $subject, $content, $headers);
}

/**
 * @param NewUser
 */
function sendRegisterMail($new_user)
{
	global $LOCAL_PATH, $YEAR;

	$content = file_get_contents("$LOCAL_PATH/server_files/services/mail_templates/register.html");
	$content = preg_replace("#{FIRST_NAME}#", $new_user->first_name, $content);
	$content = preg_replace("#{SURNAME}#", $new_user->surname, $content);
	$content = preg_replace("#{TOKEN}#", $new_user->confirm_email_token, $content);

	sendMail($new_user->email, "Inscription au TFJM² $YEAR", $content);
}